## asterisk 20.8.1~dfsg+~cs6.14.40431414

=== debian/changelog ===
asterisk (1:20.8.1~dfsg+~cs6.14.40431414-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + use PJProject 2.14.1,
      which fixes Use-after-free in SRTP media transport;
      CVE-2023-37457 CVE-2023-38703;
      closes: bug#1059303, thanks to Moritz Mühlenhoff
    + fix regression issues with DTLS client check;
      closes: bug#1068296, thanks to Oleksandr Kozmenko

  [ Jonas Smedegaard ]
  * update watch file:
    + track only LTS releases
    + bump to track pjproject 2.14.1
  * unfuzz patches
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.7.0
  * create and restrict access to cache dir;
    closes: bug#1072739, thanks to Bastian Triller
  * fix rotate main logfiles,
    as logfiles use suffix .log since Asterisk 19;
    thanks to James Bottomley (see bug#1024822)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Jun 2024 14:10:19 +0200
