## asterisk 20.9.3~dfsg+~cs6.14.60671435

=== debian/changelog ===
asterisk (1:20.9.3~dfsg+~cs6.14.60671435-1) unstable; urgency=high

  [ upstream ]
  * new release(s)
    + add entries to Originate blacklist;
      CVE-2024-42365;
      closes: bug#1078574, thanks to Salvatore Bonaccorso
    + test for NULL ub_result in unbound_resolver_callback;
      CVE-2024-42491

  [ Jonas Smedegaard ]
  * fix minor privilege escalation; thanks to Niels Galjaard
  * update watch file: track mp3 component from git clone
  * unfuzz patch 2012
  * set urgency=high due to security-related bugfixes

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Sep 2024 22:14:21 +0200
