## asterisk 22.0.0~~rc2~dfsg+~cs6.14.60671435

=== debian/changelog ===
asterisk (1:22.0.0~~rc2~dfsg+~cs6.14.60671435-1) experimental; urgency=medium

  [ upstream ]
  * new prerelease(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * adapt build routines and add NEWS entry
    related to no longer provided modules app_macro chan_sip
  * stop build-depend on libasound2-dev;
    stop mention ALSA in long description
    (module chan_alsa not provided for some time)
  * update copyright info: update coverage
  * cleanup new upstream hint file .lastclean
  * fix handle prerelease changelog file

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Oct 2024 11:28:05 +0200
