## asterisk 22.0.0~dfsg+~cs6.14.60671435

=== debian/changelog ===
asterisk (1:22.0.0~dfsg+~cs6.14.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Oct 2024 13:39:34 +0200
