## asterisk 22.1.0~dfsg+~cs6.14.60671435

=== debian/changelog ===
asterisk (1:22.1.0~dfsg+~cs6.14.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and trust only upstream team signing key 5D984BE337191CE7
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2024 12:37:42 +0100
