=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  debhelper-compat (= 13),
  default-libmysqlclient-dev,
  freetds-dev,
- libasound2-dev,
  libavcodec-dev,
  libavdevice-dev,
  libbluetooth-dev [linux-any],
@@ -127,7 +126,6 @@
   * Voicetronix OpenPCI, OpenLine and OpenSwitch cards
   * CAPI-compatible ISDN cards
     (using the add-on package chan-capi)
-  * Full Duplex Sound Card (ALSA or OSS) supported by Linux
   * Tormenta T1/E1 card
   * QuickNet Internet PhoneJack and LineJack
  .
