=== debian/changelog ===
asterisk (1:22.1.1~dfsg+~cs6.14.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + Restrict ListCategories to the configuration directory;
      CVE-2024-53566

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + avoid variable abstraction in usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Jan 2025 00:01:35 +0100
