=== debian/watch ===
--- 
+++ 
@@ -19,10 +19,9 @@
 
 opts=\
 component=Xmp3,\
-mode=svn,pgpmode=none,\
-uversionmangle=s/~svn/./,\
+mode=git,pgpmode=none,pretty=0.0.%cd,\
 dversionmangle=auto \
-https://svn.digium.com/svn/thirdparty/mp3/trunk/ \
+https://github.com/ajorians/thirdparty-mp3.git \
 HEAD checksum
 
 opts=\
