=== debian/changelog ===
asterisk (1:22.2.0~dfsg+~cs6.15.60671435-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix res_config_pgsql regression that removed dbname config;
    closes: bug#1098486, thanks to Andrey N. Abelev
  * declare compliance with Debian Policy 4.7.1

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Feb 2025 08:54:51 +0100

asterisk (1:22.2.0~dfsg+~cs6.15.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: track pjproject 2.15.1
  * update and unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Feb 2025 20:53:26 +0100
