=== debian/control ===
--- 
+++ 
@@ -76,7 +76,7 @@
  unixodbc-dev,
  uuid-dev,
  zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://www.asterisk.org/
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/asterisk.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/asterisk
