## asterisk 22.4.1~dfsg+~cs6.15.60671435

=== debian/changelog ===
asterisk (1:22.4.1~dfsg+~cs6.15.60671435-2) unstable; urgency=medium

  * build-depend on libcrypt-dev;
    closes: bug#1107016, thanks to Helmut Grohne

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 May 2025 21:58:04 +0200

asterisk (1:22.4.1~dfsg+~cs6.15.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    + add option to restrict shell access from remote consoles;
      CVE-2025-47780;
      closes: bug#1106530, thanks to Salvatore Bonaccorso
    + mask control characters in received From display name;
      CVE-2025-47779;
      closes: bug#1106528, thanks to Salvatore Bonaccorso

  [ Chris Maj ]
  * remove IMAP voicemail backend, because libc-client2007e is gone;
    stop build-depend on libc-client2007e-dev;
    closes: bug#1103048, thanks to Chris Hofstaedtler
  * add self as uploader

  [ Jonas Smedegaard ]
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 May 2025 14:36:46 +0200

asterisk (1:22.3.0~dfsg+~cs6.15.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Mar 2025 16:58:35 +0100

asterisk (1:22.3.0~~rc1~dfsg+~cs6.15.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new prerelease

  [ Jonas Smedegaard ]
  * unfuzz patches
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Mar 2025 17:18:00 +0100
