## asterisk 22.5.1~dfsg+~cs6.15.60671435

=== debian/changelog ===
asterisk (1:22.5.1~dfsg+~cs6.15.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    + test for missing semicolon in res_stir_shaken Identity header;
      CVE-2025-49832;
      closes: bug#1110317, thanks to Salvatore Bonaccorso

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 03 Aug 2025 11:18:38 +0200
