=== debian/changelog ===
asterisk (1:22.5.2~dfsg+~cs6.15.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    + A specifically malformed Authorization header
      in an incoming SIP request can cause Asterisk to crash
      CVE-2025-57767;
      closes: bug#1112470, thanks to Salvatore Bonaccorso

  [ Jonas Smedegaard ]
  * update copyright info:
    + strip upstream-autogenerated file README.html
      from repackaged source
  * update watch file: use file format 5

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Aug 2025 22:00:21 +0200
